Skip to content

Get credit agencies

Request

Security
oauth2(Required scopes: credit.agency:list) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

Query
uploadedByLenderboolean

If true, only returns Credit Agency objects that have the SFTP credentials filled in, meaning the lender will upload the file to the credit agency.

If false, only returns Credit Agency objects that have the SFTP credentials empty, meaning Peach will upload the file to the credit agency.

If not set, includes all.

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

GET
/companies/{companyId}/credit-agencies
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/credit-agencies?uploadedByLender=true&limit=25&startingAfter=string&endingBefore=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(CreditAgency)
Response
{ "count": 0, "status": 0, "data": [ { … } ] }